Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 2496653002: Part 2 of base::IDMap refactor to eliminate IDMapOwnPointer/IDMapExternalPointer modes (Closed)

Created:
3 years, 11 months ago by rlanday
Modified:
3 years, 10 months ago
CC:
agrieve+watch_chromium.org, ajwong+watch_chromium.org, android-webview-reviews_chromium.org, asvitkine+watch_chromium.org, avayvod+watch_chromium.org, Avi (use Gerrit), awdf+watch_chromium.org, blink-worker-reviews_chromium.org, chromium-apps-reviews_chromium.org, chromium-reviews, cmumford, creis+watch_chromium.org, darin-cc_chromium.org, dbeam+watch-options_chromium.org, dbeam+watch-settings_chromium.org, einbinder+watch-test-runner_chromium.org, extensions-reviews_chromium.org, feature-media-reviews_chromium.org, fukino+watch_chromium.org, groby+spellwatch_chromium.org, harkness+watch_chromium.org, horo+watch_chromium.org, imcheng+watch_chromium.org, isheriff+watch_chromium.org, jam, jasonroberts+watch_google.com, jkarlin+watch_chromium.org, jochen+watch_chromium.org, johnme+watch_chromium.org, jsbell+serviceworker_chromium.org, jsbell+idb_chromium.org, kalyank, kinuko+watch, kinuko+fileapi, kinuko+serviceworker, mcasas+watch+vc_chromium.org, michaeln, michaelpg+watch-options_chromium.org, michaelpg+watch-md-settings_chromium.org, miu+watch_chromium.org, mlamouri+watch-content_chromium.org, mlamouri+watch-notifications_chromium.org, mlamouri+watch-test-runner_chromium.org, mlamouri+watch-permissions_chromium.org, mlamouri+watch-screen-orientation_chromium.org, mlamouri+watch-manifest_chromium.org, nasko+codewatch_chromium.org, nhiroki, oka+watch_chromium.org, ozone-reviews_chromium.org, Peter Beverloo, piman+watch_chromium.org, posciak+watch_chromium.org, rlp+watch_chromium.org, rouslan+spell_chromium.org, serviceworker-reviews, shimazu+serviceworker_chromium.org, stevenjb+watch_chromium.org, stevenjb+watch-md-settings_chromium.org, timvolodine, tzik, xjz+watch_chromium.org, yamaguchi+watch_chromium.org, zea+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Part 2 of base::IDMap refactor to eliminate IDMapOwnPointer/IDMapExternalPointer modes Now callers directly specify what type of pointer they want IDMap to hold using the template parameter. Part 1 is at https://codereview.chromium.org/2480293004/ BUG=647091 TBR=dbeam (for chrome/browser/ui/webui/options/certificate_manager_handler.cc) TBR=jam (for all other non-base/ changes) Committed: https://crrev.com/de24c6dcd7173b5ea020223b22e0081c0f60e7d1 Cr-Commit-Position: refs/heads/master@{#435539}

Patch Set 1 #

Patch Set 2 : Rebase #

Total comments: 6

Patch Set 3 : typedefs => using statements, update comments in base/id_map.h #

Unified diffs Side-by-side diffs Delta from patch set Stats (+200 lines, -219 lines) Patch
M android_webview/browser/aw_permission_manager.h View 1 chunk +1 line, -1 line 0 comments Download
M android_webview/native/aw_contents_client_bridge.h View 1 chunk +3 lines, -3 lines 0 comments Download
M android_webview/native/aw_contents_client_bridge.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M base/id_map.h View 1 2 4 chunks +8 lines, -25 lines 0 comments Download
M base/id_map_unittest.cc View 1 15 chunks +27 lines, -27 lines 0 comments Download
M chrome/browser/android/compositor/layer_title_cache.h View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/android/compositor/layer_title_cache.cc View 1 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/android/service_tab_launcher.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/media/android/router/media_router_android.h View 1 1 chunk +2 lines, -3 lines 0 comments Download
M chrome/browser/media/cast_transport_host_filter.h View 2 chunks +2 lines, -2 lines 0 comments Download
M chrome/browser/metrics/subprocess_metrics_provider.h View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/permissions/permission_manager.h View 1 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/service_process/service_process_control.h View 1 2 1 chunk +6 lines, -6 lines 0 comments Download
M chrome/browser/ui/blocked_content/popup_blocker_tab_helper.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/blocked_content/popup_blocker_tab_helper.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/tab_contents/core_tab_helper.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/webui/cookies_tree_model_util.h View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/ui/webui/options/certificate_manager_handler.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/webui/print_preview/print_preview_ui.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/ui/webui/settings/certificates_handler.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/renderer/media/cast_ipc_dispatcher.h View 1 chunk +1 line, -1 line 0 comments Download
M components/drive/job_scheduler.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M components/gcm_driver/instance_id/instance_id_android.h View 1 chunk +5 lines, -5 lines 0 comments Download
M components/spellcheck/renderer/spellcheck_provider.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/browser/cache_storage/cache_storage_cache.h View 1 1 chunk +1 line, -1 line 0 comments Download
M content/browser/gpu/gpu_process_host_ui_shim.cc View 1 3 chunks +3 lines, -3 lines 0 comments Download
M content/browser/manifest/manifest_manager_host.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/permissions/permission_service_impl.h View 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/quota_dispatcher_host.h View 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_process_host_impl.h View 1 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_process_host_impl.cc View 1 2 chunks +2 lines, -2 lines 0 comments Download
M content/browser/service_worker/service_worker_context_core.h View 1 2 1 chunk +12 lines, -11 lines 0 comments Download
M content/browser/service_worker/service_worker_dispatcher_host.h View 1 1 chunk +2 lines, -2 lines 0 comments Download
M content/browser/service_worker/service_worker_dispatcher_host.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M content/browser/service_worker/service_worker_version.h View 1 1 chunk +1 line, -1 line 0 comments Download
M content/browser/service_worker/service_worker_version.cc View 1 2 chunks +2 lines, -2 lines 0 comments Download
M content/child/appcache/web_application_cache_host_impl.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/child/fileapi/file_system_dispatcher.h View 1 chunk +1 line, -1 line 0 comments Download
M content/child/fileapi/file_system_dispatcher.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M content/child/notifications/notification_manager.h View 1 1 chunk +2 lines, -2 lines 0 comments Download
M content/child/push_messaging/push_provider.h View 1 1 chunk +3 lines, -3 lines 0 comments Download
M content/child/quota_dispatcher.h View 1 1 chunk +1 line, -1 line 0 comments Download
M content/child/quota_dispatcher.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M content/child/service_worker/service_worker_dispatcher.h View 1 2 1 chunk +23 lines, -23 lines 0 comments Download
M content/public/browser/desktop_media_id.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M content/public/browser/render_process_host.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/public/test/mock_render_process_host.h View 1 1 chunk +2 lines, -2 lines 0 comments Download
M content/public/test/mock_render_process_host.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/browser_plugin/browser_plugin_manager.h View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/browser_plugin/browser_plugin_manager.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M content/renderer/cache_storage/cache_storage_dispatcher.h View 1 2 2 chunks +19 lines, -20 lines 0 comments Download
M content/renderer/dom_storage/webstoragearea_impl.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/java/gin_java_bridge_dispatcher.h View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M content/renderer/media/audio_input_message_filter.h View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/media/audio_input_message_filter.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/media/audio_message_filter.h View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/media/audio_message_filter.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/media/renderer_webmediaplayer_delegate.h View 1 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/media/renderer_webmediaplayer_delegate.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M content/renderer/p2p/socket_dispatcher.h View 1 chunk +2 lines, -2 lines 0 comments Download
M content/renderer/p2p/socket_dispatcher.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/presentation/presentation_dispatcher.h View 1 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/push_messaging/push_messaging_dispatcher.h View 1 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/render_frame_impl.h View 1 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/renderer_blink_platform_impl.h View 1 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/screen_orientation/screen_orientation_dispatcher.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/service_worker/embedded_worker_dispatcher.h View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/service_worker/service_worker_context_client.cc View 1 1 chunk +8 lines, -9 lines 0 comments Download
M content/shell/browser/layout_test/layout_test_permission_manager.h View 1 chunk +1 line, -1 line 0 comments Download
M extensions/browser/api/networking_private/networking_private_service_client.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M ipc/message_router.h View 1 chunk +1 line, -1 line 0 comments Download
M storage/browser/fileapi/file_system_operation_runner.h View 1 1 chunk +2 lines, -2 lines 0 comments Download
M ui/ozone/platform/headless/headless_window_manager.h View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 19 (9 generated)
rlanday
3 years, 11 months ago (2016-11-10 19:57:09 UTC) #3
aelias_OOO_until_Jul13
lgtm, let's follow up on landing after http://crrev.com/2480293004/
3 years, 11 months ago (2016-11-11 22:43:24 UTC) #4
rlanday
On 2016/11/11 at 22:43:24, aelias wrote: > lgtm, let's follow up on landing after http://crrev.com/2480293004/ ...
3 years, 11 months ago (2016-11-30 19:48:52 UTC) #7
danakj
LGTM. It'd be nice to update any "typedef" usage to be "using" instead while you're ...
3 years, 10 months ago (2016-11-30 23:02:21 UTC) #8
rlanday
https://codereview.chromium.org/2496653002/diff/20001/base/id_map.h File base/id_map.h (right): https://codereview.chromium.org/2496653002/diff/20001/base/id_map.h#newcode29 base/id_map.h:29: // This class does not have a virtual destructor, ...
3 years, 10 months ago (2016-12-01 00:50:07 UTC) #9
rlanday
dbeam + jam, danakj has reviewed the changes in base/id_map.h, the remaining changes fall into ...
3 years, 10 months ago (2016-12-01 01:25:38 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2496653002/40001
3 years, 10 months ago (2016-12-01 01:27:00 UTC) #14
danakj
Thanks for the usings :)
3 years, 10 months ago (2016-12-01 01:53:40 UTC) #15
commit-bot: I haz the power
Committed patchset #3 (id:40001)
3 years, 10 months ago (2016-12-01 03:06:21 UTC) #17
commit-bot: I haz the power
3 years, 10 months ago (2016-12-01 03:11:01 UTC) #19
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/de24c6dcd7173b5ea020223b22e0081c0f60e7d1
Cr-Commit-Position: refs/heads/master@{#435539}

Powered by Google App Engine
This is Rietveld 408576698